# Creates a customer

Creates a Customer object.

Endpoint: POST /customers
Version: v1
Security: apiKey

## Security:

  - `apiKey` (unknown)
    http bearer API key

## Request fields (application/json):

  - `email` (string)
    Customer's email address

  - `first_name` (string)
    Customer's first name

  - `last_name` (string)
    Customer's last name

  - `address` (string)
    Customer's address

  - `postal` (string)
    Customer's postal code or ZIP

  - `city` (string)
    Customer's city

  - `country` (string)
    Customer's country in [ISO-3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) format, example: 'NL'

  - `vat_number` (string)
    Customer's company vat number

  - `company_name` (string)
    Customer's company name

  - `phone_number` (string)
    Customer's phone number

## Response 201:

  - `201` (unknown)
    customer created

## Response 201 fields (application/json):

  - `id` (string, required)

  - `type` (string, required)
    Enum: "customer"

  - `email` (string, required)

  - `first_name` (string, required)

  - `last_name` (string, required)

  - `address` (string, required)

  - `postal` (string, required)

  - `city` (string, required)

  - `country` (string, required)

  - `vat_number` (string, required)

  - `company_name` (string, required)

  - `phone_number` (string, required)

  - `created_at` (string, required)

  - `_links` (object, required)

  - `_links.self` (string, required)

